---
lang: en
title: 'API docs: socketio.socketioinvokemethodprovider.action'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioinvokemethodprovider.action.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoInvokeMethodProvider](./socketio.socketioinvokemethodprovider.md) &gt; [action](./socketio.socketioinvokemethodprovider.action.md)

## SocketIoInvokeMethodProvider.action() method

**Signature:**

```typescript
action(context: Context, controller: ControllerClass, methodName: string, args: unknown[]): any;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  context | [Context](./context.context.md) |  |
|  controller | [ControllerClass](./core.controllerclass.md) |  |
|  methodName | string |  |
|  args | unknown\[\] |  |

**Returns:**

any


